# 
# Synthesis run script generated by Vivado
# 

set_param xicom.use_bs_reader 1
set_msg_config -id {HDL 9-1061} -limit 100000
set_msg_config -id {HDL 9-1654} -limit 100000
create_project -in_memory -part xc7a35tcpg236-1

set_param project.singleFileAddWarning.threshold 0
set_param project.compositeFile.enableAutoGeneration 0
set_param synth.vivado.isSynthRun true
set_msg_config -source 4 -id {IP_Flow 19-2162} -severity warning -new_severity info
set_property webtalk.parent_dir C:/Users/user/Desktop/project_1/project_1/project_1.cache/wt [current_project]
set_property parent.project_path C:/Users/user/Desktop/project_1/project_1/project_1.xpr [current_project]
set_property XPM_LIBRARIES XPM_MEMORY [current_project]
set_property default_lib xil_defaultlib [current_project]
set_property target_language Verilog [current_project]
set_property ip_repo_paths c:/Users/user/Desktop/project_1/ip/Keyboard-Controller [current_project]
add_files C:/Users/user/Desktop/project_1/project_1/picture/pi.coe
add_files C:/Users/user/Desktop/project_1/project_1/picture/pi2.coe
add_files C:/Users/user/Desktop/project_1/project_1/picture/ball.coe
add_files C:/Users/user/Desktop/project_1/project_1/picture/light.coe
add_files C:/Users/user/Desktop/project_1/project_1/picture/back.coe
add_files {{C:/Users/user/Desktop/project_1/final hw/pika2.coe}}
add_files {{C:/Users/user/Desktop/project_1/final hw/pika1.coe}}
add_files {{C:/Users/user/Desktop/project_1/final hw/small_ball 2.coe}}
add_files {{C:/Users/user/Desktop/project_1/final hw/light.coe}}
add_files {{C:/Users/user/Desktop/project_1/final hw/back.coe}}
add_files {{C:/Users/user/Desktop/project_1/final hw/ball.coe}}
add_files {{C:/Users/user/Desktop/project_1/final hw/smallbll.coe}}
add_files {{C:/Users/user/Desktop/project_1/final hw/intro.coe}}
add_files {{C:/Users/user/Desktop/project_1/final hw/char.coe}}
add_files {{C:/Users/user/Desktop/project_1/final hw/char2.coe}}
add_files {{C:/Users/user/Desktop/project_1/final hw/fire.coe}}
add_files {{C:/Users/user/Desktop/project_1/final hw/bu.coe}}
add_files {{C:/Users/user/Desktop/project_1/final hw/bu2.coe}}
add_files {{C:/Users/user/Desktop/project_1/final hw/back2.coe}}
add_files {{C:/Users/user/Desktop/project_1/final hw/leaves.coe}}
add_files {{c:/Users/user/Desktop/project_1/final hw/NEXT.coe}}
add_files {{c:/Users/user/Desktop/project_1/final hw/back1.coe}}
add_files -quiet c:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/KeyboardCtrl_0/KeyboardCtrl_0.dcp
set_property used_in_implementation false [get_files c:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/KeyboardCtrl_0/KeyboardCtrl_0.dcp]
read_ip -quiet c:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_11/blk_mem_gen_11.xci
set_property used_in_implementation false [get_files -all c:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_11/blk_mem_gen_11_ooc.xdc]
set_property is_locked true [get_files c:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_11/blk_mem_gen_11.xci]

read_ip -quiet C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_4/blk_mem_gen_4.xci
set_property used_in_implementation false [get_files -all c:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_4/blk_mem_gen_4_ooc.xdc]
set_property is_locked true [get_files C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_4/blk_mem_gen_4.xci]

read_ip -quiet C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_3/blk_mem_gen_3.xci
set_property used_in_implementation false [get_files -all c:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_3/blk_mem_gen_3_ooc.xdc]
set_property is_locked true [get_files C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_3/blk_mem_gen_3.xci]

read_ip -quiet C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_2/blk_mem_gen_2.xci
set_property used_in_implementation false [get_files -all c:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_2/blk_mem_gen_2_ooc.xdc]
set_property is_locked true [get_files C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_2/blk_mem_gen_2.xci]

read_ip -quiet C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_1/blk_mem_gen_1.xci
set_property used_in_implementation false [get_files -all c:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_1/blk_mem_gen_1_ooc.xdc]
set_property is_locked true [get_files C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_1/blk_mem_gen_1.xci]

read_ip -quiet C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_0/blk_mem_gen_0.xci
set_property used_in_implementation false [get_files -all c:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_0/blk_mem_gen_0_ooc.xdc]
set_property is_locked true [get_files C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_0/blk_mem_gen_0.xci]

read_ip -quiet C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_5_1/blk_mem_gen_5.xci
set_property used_in_implementation false [get_files -all c:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_5_1/blk_mem_gen_5_ooc.xdc]
set_property is_locked true [get_files C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_5_1/blk_mem_gen_5.xci]

read_ip -quiet C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_6/blk_mem_gen_6.xci
set_property used_in_implementation false [get_files -all c:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_6/blk_mem_gen_6_ooc.xdc]
set_property is_locked true [get_files C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_6/blk_mem_gen_6.xci]

read_ip -quiet C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_7/blk_mem_gen_7.xci
set_property used_in_implementation false [get_files -all c:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_7/blk_mem_gen_7_ooc.xdc]
set_property is_locked true [get_files C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_7/blk_mem_gen_7.xci]

read_ip -quiet C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_8/blk_mem_gen_8.xci
set_property used_in_implementation false [get_files -all c:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_8/blk_mem_gen_8_ooc.xdc]
set_property is_locked true [get_files C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_8/blk_mem_gen_8.xci]

read_ip -quiet C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_9/blk_mem_gen_9.xci
set_property used_in_implementation false [get_files -all c:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_9/blk_mem_gen_9_ooc.xdc]
set_property is_locked true [get_files C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_9/blk_mem_gen_9.xci]

read_ip -quiet C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_10/blk_mem_gen_10.xci
set_property used_in_implementation false [get_files -all c:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_10/blk_mem_gen_10_ooc.xdc]
set_property is_locked true [get_files C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/ip/blk_mem_gen_10/blk_mem_gen_10.xci]

read_verilog -library xil_defaultlib {
  C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/imports/source/OnePulse.v
  C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/new/winlose.v
  C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/new/squblk.v
  C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/new/Lightning.v
  C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/imports/source/KeyboardDecoder.v
  C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/imports/project_1/ballMoveS5.v
  C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/imports/project_1/ballMoveS4.v
  C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/new/ballMoveS1.v
  C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/imports/project_1/PWM_gen.v
  C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/imports/project_1/PlayerCtrl.v
  C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/imports/project_1/Music.v
  C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/imports/project_1/seven_segment.v
  C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/new/ballMoveS3.v
  C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/new/ballMoveS2.v
  C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/imports/source/mem_addr_gen.v
  C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/new/Move.v
  C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/imports/source/CreateLargePulse.v
  C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/imports/source/ButtonCtrl.v
  C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/imports/source/clock_divisor.v
  C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/imports/source/vga.v
  C:/Users/user/Desktop/project_1/project_1/project_1.srcs/sources_1/imports/source/TOP.v
}
foreach dcp [get_files -quiet -all *.dcp] {
  set_property used_in_implementation false $dcp
}
read_xdc C:/Users/user/Desktop/project_1/project_1/project_1.srcs/constrs_1/imports/source/Basys3_Master.xdc
set_property used_in_implementation false [get_files C:/Users/user/Desktop/project_1/project_1/project_1.srcs/constrs_1/imports/source/Basys3_Master.xdc]

read_xdc dont_touch.xdc
set_property used_in_implementation false [get_files dont_touch.xdc]

synth_design -top TOP -part xc7a35tcpg236-1


write_checkpoint -force -noxdef TOP.dcp

catch { report_utilization -file TOP_utilization_synth.rpt -pb TOP_utilization_synth.pb }
